twisted :: web :: resource :: IResource :: Class IResource

[hide private]
[frames] | no frames]

# Class IResource

A web resource.

Class Variables | [hide private]

| _InterfaceClass__attrs = ``{``'``getChildWithDefault``'``:` <zope.interfa`...``
| __bases__ = ``(`<InterfaceClass zope.interface.Interface>`)``
| __identifier__ = ``'``twisted.web.resource.IResource``'``
| __iro__ = ``(`<InterfaceClass twisted.web.resource.IResource>`,` <I`...``
| __name__ = ``'``IResource``'``
| __sro__ = ``(`<InterfaceClass twisted.web.resource.IResource>`,` <I`...``
| _implied = ``{`<InterfaceClass twisted.web.resource.IResource>`:` `(``...``
| dependents = `<WeakKeyDictionary at 32857224>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`

Class Variable Details | [hide private]

### _InterfaceClass__attrs

Value:

      {'getChildWithDefault': <zope.interface.interface.Method object at 0x1
      f58130>,
       'isLeaf': <zope.interface.interface.Attribute object at 0x1f52970>,
       'putChild': <zope.interface.interface.Method object at 0x1f58030>,
       'render': <zope.interface.interface.Method object at 0x1f52e30>}

### __iro__

Value:

      (<InterfaceClass twisted.web.resource.IResource>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass twisted.web.resource.IResource>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass twisted.web.resource.IResource>: (),
       <InterfaceClass zope.interface.Interface>: ()}